package cd.casic.server;

import cd.casic.ci.process.engine.executor.PipelineExecutor;
import cd.casic.ci.process.process.service.pipeline.PipelineService;
import jakarta.annotation.Resource;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

@SpringBootTest(classes = {OpsServerApplication.class})
@ActiveProfiles("local")
public class PipelineExecuteTest {
    @Resource
    PipelineExecutor pipelineExecutor;
    @Resource
    PipelineService pipelineService;
    // 执行pipeline
    @Test
    public void executePipeline(){
        pipelineExecutor.execute("716299522803896320");
    }
    // 获取pipeline执行状态
    @Test
    public void getRunState(){
        pipelineService.getPipelineRunState("716299522803896320");
    }
}
